libdevice User's Guide (PDF) - v10.1.105 (older) - Last updated February 8, 2019 - Send Feedback

## 3.204. __nv_ll2double_rn

Prototype:

    double @__nv_ll2double_rn(i64 %l)

Description:

Convert the signed 64-bit integer value `x` to a double-precision floating point value in round-to-nearest-even mode.

Returns:

Returns converted value.

Library Availability:

Compute 2.0: Yes

Compute 3.0: Yes

Compute 3.5: Yes